> ## Documentation Index
> Fetch the complete documentation index at: https://agentref.co/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# List affiliate applications



## OpenAPI

````yaml /openapi.json get /applications
openapi: 3.1.0
info:
  title: AgentRef REST API
  version: 1.0.0
  description: >-
    REST API v1 for merchants and affiliates. Authentication via API keys
    (Authorization: Bearer ak_...).
servers:
  - url: /api/v1
    description: Current API version
security:
  - ApiKeyAuth: []
tags:
  - name: Auth
  - name: Onboarding
  - name: Programs
  - name: Merchant
  - name: Applications
  - name: Affiliates
  - name: Me
  - name: Coupons
  - name: Invites
  - name: Conversions
  - name: Payouts
  - name: Flags
  - name: Billing
  - name: Marketplace
  - name: Marketing Resources
  - name: Notifications
  - name: Webhooks
  - name: Docs
  - name: Meta
paths:
  /applications:
    get:
      tags:
        - Applications
      summary: List affiliate applications
      operationId: listApplications
      parameters:
        - name: programId
          in: query
          schema:
            type: string
            format: uuid
        - name: search
          in: query
          description: Search applications by applicant name or email (max 120 chars)
          schema:
            type: string
            maxLength: 120
        - name: status
          in: query
          description: Filter by application status
          schema:
            type: string
            enum:
              - pending
              - approved
              - declined
              - withdrawn
              - blocked
        - name: source
          in: query
          description: Filter applications by submission source
          schema:
            type: string
            enum:
              - browser
              - api
              - mcp
              - invite
              - import
        - $ref: '#/components/parameters/CursorParam'
        - $ref: '#/components/parameters/LimitParam'
        - $ref: '#/components/parameters/PageParam'
        - $ref: '#/components/parameters/PageSizeParam'
        - $ref: '#/components/parameters/OffsetParam'
      responses:
        '200':
          description: Applications list
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      $ref: '#/components/schemas/Application'
                  meta:
                    $ref: '#/components/schemas/PaginatedMeta'
                required:
                  - data
                  - meta
components:
  parameters:
    CursorParam:
      name: cursor
      in: query
      required: false
      schema:
        type: string
    LimitParam:
      name: limit
      in: query
      required: false
      schema:
        type: integer
        minimum: 1
        maximum: 100
    PageParam:
      name: page
      in: query
      required: false
      schema:
        type: integer
        minimum: 1
    PageSizeParam:
      name: pageSize
      in: query
      required: false
      schema:
        type: integer
        minimum: 1
        maximum: 100
    OffsetParam:
      name: offset
      in: query
      required: false
      schema:
        type: integer
        minimum: 0
  schemas:
    Application:
      type: object
      additionalProperties: true
    PaginatedMeta:
      type: object
      properties:
        total:
          type: integer
        page:
          type: integer
        pageSize:
          type: integer
        hasMore:
          type: boolean
        nextCursor:
          type: string
        requestId:
          type: string
      required:
        - total
        - page
        - pageSize
        - hasMore
        - requestId
  securitySchemes:
    ApiKeyAuth:
      type: http
      scheme: bearer
      bearerFormat: API Key
      description: 'Use API key as Bearer token, for example: Bearer ak_live_xxx'

````